# $Id: libdv.spec,v 1.6 2003/05/02 12:16:43 dude Exp $

Summary: A software codec for DV video, used by most digital camcorders.
Name: libdv
Version: 0.99
Release: 0.rh73.3.fr
License: GPL
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/libdv/%{name}-%{version}.tar.gz
URL: http://libdv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gtk+-devel >= 1.2.4, pkgconfig >= 0.9.0

%description 
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 


%package devel
Summary: Development file for programs which use the libdv library.
Group: Development/Libraries
Requires: %{name} = %{version}, pkgconfig >= 0.9.0

%description devel
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 

This is the libraries, include files and other resources that are used to
incorporate libdv into applications.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPY* NEWS README* TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Aug 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added gtk+-devel build dep.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.

* Thu Jan 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.99.

* Thu Sep 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file rewrite from the one included with the sources.

